package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 物流发展奖补对象 bms_logistics_development_award
 *
 * @author farben
 * @date 2023-08-25
 */
public class BmsLogisticsDevelopmentAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @Excel(name = "企业id")
    private Long enterpriseId;

    /**
     * 荣誉证明文件
     */
    @Excel(name = "荣誉证明文件")
    private String honorCertificate;

    /**
     * 平台名称
     */
    @Excel(name = "平台名称")
    private String platformName;

    /**
     * 企业投资项目备案通知书或核准批复文件
     */
    @Excel(name = "企业投资项目备案通知书或核准批复文件")
    private String filingNotice;

    /**
     * 会计师事务所出具的企业财务报表审计报告
     */
    @Excel(name = "会计师事务所出具的企业财务报表审计报告")
    private String auditReport;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getHonorCertificate() {
        return honorCertificate;
    }

    public void setHonorCertificate(String honorCertificate) {
        this.honorCertificate = honorCertificate;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getFilingNotice() {
        return filingNotice;
    }

    public void setFilingNotice(String filingNotice) {
        this.filingNotice = filingNotice;
    }

    public String getAuditReport() {
        return auditReport;
    }

    public void setAuditReport(String auditReport) {
        this.auditReport = auditReport;
    }

    public Long getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Long isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("enterpriseId", getEnterpriseId()).append("honorCertificate", getHonorCertificate()).append("platformName", getPlatformName()).append("filingNotice", getFilingNotice()).append("auditReport", getAuditReport()).append("isDeleted", getIsDeleted()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
    }
}
