package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.jjh.declaration.entity.BmsBrandingAward;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 品牌打造奖补对象 bms_branding_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsBrandingAwardUpdateDto extends BmsBrandingAward {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录id")
    private Long declarationRecordsId;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目id")
    private Long projectId;

    @ApiModelProperty(value = "审批状态:0=草稿,1=初审中,2=复审中,3=专家评审中,4=市级评定中,5=评定通过,6=专家评审-拒绝,7=复审-拒绝,8=初审-拒绝,9=评定驳回")
    private Long status;
}
